Bug 865395 - f18b tc3 anaconda gets frozen on manual partitioning when hitting + (the add partition button)
f18b tc3 anaconda gets frozen on manual partitioning when hitting + (the add ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 06:37 EDT by Reartes Guillermo
Modified: 2013-05-30 12:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-30 12:56:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (15.51 KB, text/x-log)
2012-10-11 06:37 EDT, Reartes Guillermo
no flags Details
storage log stuck anaconda (203.74 KB, text/plain)
2012-10-11 06:39 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-10-11 06:37:27 EDT
Created attachment 625478 [details]
anaconda.log

Description of problem:

* enter storage, select a disk
* "i don't need help..." and reclaim space
* delete all partitions (if possible)
* try to create a bios boot partition of 1mb, a red banner
will appear saying "not enough free space on disks" (it is telling 
me that the disk is in msdos disklabel????)

* ok, create a /boot of 500mb, swap of 1024mb and / of 7gb
* finish partitioning, will lead to "Error checking storage
configuration in STORAGE at the main hub, so we re-enter
installation destination. The yellow banner says "not enough
free space on disks", continue and go to manual partitioning

* too bad, i tried to add a bios boot patition now, but the damn thing
seems to have hit some other bug:

Anaconda got frozen when i hit the '+' plus button to add a bios
boot partition. Alt+tab, mouse hoover works and alt+f2 works, anaconda is frozen.

Even to try to reproduce bugs is becoming very difficult because either new bugs 
pop up or i need to avoid known ones. 

So, i reboot the guest, and:

* enter storage, select a disk
* "i don't need help..." and reclaim space
* delete all partitions (if possible)

* ok, create a /boot of 500mb, swap of 1024mb and / of 7gb
* finish partitioning, will lead to "Error checking storage
configuration in STORAGE at the main hub, so we re-enter
installation destination. The yellow banner says "your bios-based
system needs a special partition [...]" (it is requesting a 
bios boot partition), cancel & continue

* i got the damn frozen on + thing again.

It is not what i intended to report, but it seems it will.

Version-Release number of selected component (if applicable):
F18b TC3

How reproducible:
two times, very difficult to say, since i tried to report other issue which
happens on a guest in which other bugs don't happen.

Steps to Reproduce:
see above.

Actual results:
frozen anaconda

Expected results:
not frozen

Additional info:
Comment 1 Reartes Guillermo 2012-10-11 06:39:35 EDT
Created attachment 625480 [details]
storage log stuck anaconda
Comment 2 Chris Lumens 2012-10-16 10:52:52 EDT
We've got a set of threading-related patches going into the next build.  Please test again with a tree containing anaconda-18.17-1 and let us know if it works better for you.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.